[arch-commits] Commit in liboil/trunk (PKGBUILD liboil-no-sse.patch)

Jan de Groot jgc at archlinux.org
Mon Oct 6 13:28:40 EDT 2008


    Date: Monday, October 6, 2008 @ 13:28:40
  Author: jgc
Revision: 14430

upgpkg: liboil 0.3.15-1

Modified:
  liboil/trunk/PKGBUILD
Deleted:
  liboil/trunk/liboil-no-sse.patch

---------------------+
 PKGBUILD            |   12 ++++++------
 liboil-no-sse.patch |   13 -------------
 2 files changed, 6 insertions(+), 19 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-10-06 17:25:41 UTC (rev 14429)
+++ PKGBUILD	2008-10-06 17:28:40 UTC (rev 14430)
@@ -2,7 +2,7 @@
 # Maintainer: Jan de Groot <jgc at archlinux.org>
 
 pkgname=liboil
-pkgver=0.3.14
+pkgver=0.3.15
 pkgrel=1
 pkgdesc="Library of simple functions that are optimized for various CPUs."
 arch=('i686' 'x86_64')
@@ -12,14 +12,14 @@
 makedepends=('glib2' 'pkgconfig' 'docbook-xsl')
 options=('!libtool' '!makeflags')
 source=(${url}/download/${pkgname}-${pkgver}.tar.gz)
-md5sums=('7a9f719e50656b795c06c0167012a84f')
+md5sums=('11dd39b1ca13ce2e0618d4df8303f137')
 
 build() {
   unset CFLAGS
-  cd ${startdir}/src/${pkgname}-${pkgver}
+  cd "${srcdir}/${pkgname}-${pkgver}"
   ./configure --prefix=/usr || return 1
   make || return 1
-  make DESTDIR=${startdir}/pkg install || return 1
-  install -m755 -d ${startdir}/pkg/usr/share/licenses/liboil
-  install -m644 COPYING ${startdir}/pkg/usr/share/licenses/liboil/
+  make DESTDIR="${pkgdir}" install || return 1
+  install -m755 -d "${pkgdir}/usr/share/licenses/liboil"
+  install -m644 COPYING "${pkgdir}/usr/share/licenses/liboil/"
 }

Deleted: liboil-no-sse.patch
===================================================================
--- liboil-no-sse.patch	2008-10-06 17:25:41 UTC (rev 14429)
+++ liboil-no-sse.patch	2008-10-06 17:28:40 UTC (rev 14430)
@@ -1,13 +0,0 @@
---- liboil/Makefile.am	2006/11/06 06:35:23	1.69
-+++ liboil/Makefile.am	2006/12/08 22:13:06	1.70
-@@ -20,8 +20,8 @@
- libs += mmx/libmmx.la
- endif
- if HAVE_SSE2_INTRINSICS
--SUBDIRS += fb sse
--libs += fb/libfb.la sse/libsse.la
-+#SUBDIRS += fb sse
-+#libs += fb/libfb.la sse/libsse.la
- endif
- if HAVE_3DNOW_INTRINSICS
- #subdir_i386 += 3dnow




More information about the arch-commits mailing list